#!/bin/bash
echo [amarokplaylist]
xml_path=$(dcop --all-users amarok playlist saveCurrentPlaylist)
if [ "${xml_path}" != "" ]; then

python -c "
import libxml2

MAX_TRACKS = 100

doc = libxml2.parseFile('${xml_path}')
ctxt = doc.xpathNewContext()
res = ctxt.xpathEval('/playlist/*')

print '<playlist>'
num_of_tracks = 0
for track in res:
    num_of_tracks += 1
    if num_of_tracks > MAX_TRACKS:
        break
    else:
        print track
print '</playlist>'

ctxt.xpathFreeContext()
doc.freeDoc()"

fi
