#!/bin/bash

if [ "$XDG_SESSION_COOKIE" != "" ]; then
	XDG_ID="$(echo $XDG_SESSION_COOKIE | cut -d '-' -f 1)"
	QUERY_ENVIRON="$(grep DBUS_SESSION_BUS_ADDRESS= ~/.dbus/session-bus/${XDG_ID}-0 | cut -d '=' -f 2,3,4)"
	
	if [ "${QUERY_ENVIRON}" != "" ]; then
		export DBUS_SESSION_BUS_ADDRESS="${QUERY_ENVIRON}"
		echo "success"
	else
		echo "Could not find dbus session ID in user environment"
	fi
else
	echo "ConsoleKit session manager is not running"
fi